<?php
	switch ($type_of_search) {
		case "news":
			$string = AddSlashes ($words);
			include "old_news.php";
			break;
		case "-announce":
			$string = urlencode ($words);
			header ("Location: http://www.geocrawler.com/search/?config=3792&words=$string");
			break;
		case "-bugs":
			$string = urlencode ($words);
			header ("Location: http://www.geocrawler.com/search/?config=7109&words=$string");
			break;
		case "-cvs":
			$string = urlencode ($words);
			header ("Location: http://www.geocrawler.com/search/?config=899&words=$string");
			break;
		case "-devel":
			$string = urlencode ($words);
			header ("Location: http://www.geocrawler.com/search/?config=856&words=$string");
			break;
		case "-user":
			$string = urlencode ($words);
			header ("Location: http://www.geocrawler.com/search/?config=898&words=$string");
			break;
		default:
			$site = URLEncode ("quakeforge.net");
			$string = URLEncode ($words);
			header ("Location: http://www.google.com/custom?domains=$site&sitesearch=$site&q=$words");
			break;
	}
?>
